aboutsummaryrefslogtreecommitdiffstats
path: root/test/init.sh
diff options
context:
space:
mode:
authorgramanas <anastasis.gramm2@gmail.com>2018-11-19 19:11:06 +0200
committergramanas <anastasis.gramm2@gmail.com>2018-11-19 19:11:06 +0200
commit78ee1c72c670a71bfd165448676fc65bff802916 (patch)
tree893b0f09dfc84f3fd7f1ac218213012f33d5b612 /test/init.sh
parent84bbbb91c9154ca0b1c295eb7d1aa0de59450764 (diff)
downloadck-78ee1c72c670a71bfd165448676fc65bff802916.tar.gz
ck-78ee1c72c670a71bfd165448676fc65bff802916.tar.bz2
ck-78ee1c72c670a71bfd165448676fc65bff802916.zip
Add ability to use ck without secret dir
Diffstat (limited to 'test/init.sh')
-rw-r--r--test/init.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/init.sh b/test/init.sh
new file mode 100644
index 0000000..a38c81c
--- /dev/null
+++ b/test/init.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+running init
+
+mkdir -p $TEST_LOCATION/vc
+mkdir $TEST_LOCATION/sec
+
+exec $BIN/ck -c $BIN init $TEST_LOCATION/vc $TEST_LOCATION/sec >&${V} &
+wait $!
+
+if [ $? -ne 0 ]; then
+ err "ck crashed."
+fi
+
+if [ ! -f $BIN/ckrc ]; then
+ err "Config file not created."
+fi
+
+if [ ! -f $BIN/ckdb ]; then
+ err "DB file not created."
+fi
+
+clear_tests > /dev/null 2>&1
+echo -e $PASS